summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames Henstridge <jamesh@src.gnome.org>2004-05-26 10:47:01 +0000
committerJames Henstridge <jamesh@src.gnome.org>2004-05-26 10:47:01 +0000
commit36797dc9ad9df8ec4073aef8a3a66013c228301a (patch)
treeebbafbc4b70054a1acd1d9cd969ed142e0de5435
parent1e24c9cb2700ed0e02af5d1b0c24b41be1e05b59 (diff)
downloadgnome-common-36797dc9ad9df8ec4073aef8a3a66013c228301a.tar.gz
simplify documentation, and bring it into line with the current state
of gnome-common. svn path=/trunk/; revision=3446
-rw-r--r--doc/usage.txt99
1 files changed, 29 insertions, 70 deletions
diff --git a/doc/usage.txt b/doc/usage.txt
index 89b4d92..7e84ec0 100644
--- a/doc/usage.txt
+++ b/doc/usage.txt
@@ -1,79 +1,38 @@
-This module is intended for people who want to develop
-GNOME Applications outside of the GNOME CVS tree or for
-people who're developing inside GNOME CVS, but don't want
-to carry the macros/ directory in their module.
+This module contains various files needed to bootstrap Gnome 2 modules
+built from CVS. It contains the following components:
+ 1. A common "autogen.sh" script that can be used to configure a
+ source directory checked out from CVS.
+ 2. Some commonly used macros (quite a small set these days -- macros
+ should be packaged with their respective modules).
+ 3. Some files used to build user documentation.
-There are two modes of operation:
+To make use of the common autogen script, create a stub autogen.sh
+script in your module that looks something like this:
-1.) The GNOME 1.x platform is what you get when you
- configure this module without any special parameters.
+---- Cut Here ----
+#!/bin/sh
+srcdir=`basename $0`
+[ -z "$srcdir" ] && srcdir=.
- This installs everything from the `macros' directory
- in `$(datadir)/aclocal/gnome-macros' and provides a
- `gnome-autogen.sh' in `$(bindir)'.
+PKG_NAME=mypackage
+REQUIRED_AUTOMAKE_VERSION=1.7
-2.) To enable support for the GNOME 2.x platform, gnome-common's
- configure has a `--enable-platform-gnome-2' command line
- argument which you need to use.
+if [ ! -f "$srcdir/somefile-that-is-only-in-mypackage" ]; then
+ echo "$srcdir doesn't look like source directory for $PKG_NAME" >&2
+ exit 1
+fi
- The difference is that the GNOME 2.x version will require
- a recent version of pkg-config (from freedesktop.org at
- <http://www.freedesktop.org/software/pkgconfig/>) and also
- compile the `support' directory.
+. gnome-autogen.sh
+---- Cut Here ----
- This is considered "hacker stuff" and has the same disclaimer
- than gnome-libs HEAD.
+Then put the following in your configure.ac or configure.in file:
+ GNOME_COMMON_INIT
+This macro is equivalent to the following two lines (which you can use
+instead if you don't want to depend on gnome-common macros):
+ ACLOCAL_AMFLAGS="\${ACLOCAL_FLAGS}"
+ AC_SUBST([ACLOCAL_AMFLAGS])
-To use this module in your package, you need to:
-
-1.) Compile and install gnome-common like any normal package.
+This will make sure that autoconf macros will be found when you
+rebuild the package without rerunning autogen.sh.
-2.) You don't need to have a `macros/' dir in your package,
- this stuff is going to replace it.
-
-3.) In your autogen.sh use this:
-
- ---
- . gnome-autogen.sh
- ---
-
- instead of
-
- ---
- . macros/autogen.sh
- ---
-
-4.) In you configure.in, remove the
-
- ---
- AM_ACLOCAL_INCLUDE(macros)
- ---
-
- and replace it with
-
- ---
- GNOME_COMMON_INIT
- ---
-
-That's it. Now your app uses the macros which are installed
-from gnome-common.
-
-[This is only intended for "hackers":
-
- If you want to use GNOME 2.0, just use
-
- ---
- USE_GNOME_2_MACROS=1 . gnome-autogen.sh
- ---
-
- in your autogen.sh.
-
- There's an example for this in LibGTop HEAD.
-]
-
-Comments, Questions, etc. are welcome :)
-
-
-Nov 21, 2000
-Martin Baulig <martin@gnome.org>